﻿(function (ko, datacontext) {
	datacontext.RegParameter = RegParameter;	
	datacontext.ParameterType = {
		TEXT: 1,
		SELECT: 2
	}

	datacontext.RescanType = {
	    FULL: 1,
	    PARTIAL: 2,
        NOTRESCAN: -1
	}
	function RegParameter() {
		var self = this;
		self.Name = ko.observable('');
		self.Value = ko.observable('');

	    
		self.IsRequired = ko.observable(false);
		self.IsReadOnly = ko.observable(false);
		self.ParameterType = ko.observable(datacontext.ParameterType.TEXT);
		self.ListValues = ko.observableArray([]);
		self.StatusHasImage = false;
		self.Clone = function () {
			var result = new RegParameter();
			result.Name(self.Name());
			result.Value(self.Value());
			result.IsRequired(self.IsRequired());
			result.IsReadOnly(self.IsReadOnly());
			result.ParameterType(self.ParameterType());
			$.each(self.ListValues(), function (key, value) {
				result.ListValues.push(value);
			});
			return result;
		}
	}	
})(ko, window.batchApp.datacontext);