﻿/**
* Модели для настроек типа пакета
**/

(function (ko, datacontext) {
	
	datacontext.ScannerOptions = ScannerOptions;
	
	//Класс настроек сканера
	function ScannerOptions(initInfo) {
		var self = this;
		initInfo = initInfo || {};
		//индекс сканера 
		self.Index = initInfo.Index;

		//Название сканера
		self.scannerName = ko.observable(initInfo.Name);

		//Выбран ли интерфейс драйвера работы со сканером
		self.isNativeInterfaceAvailable = ko.observable(initInfo.isNativeInterfaceAvailable);

		//Выбран ли абби интерфейс работы со сканером
		self.isAbbyyInterfaceAvailable = ko.observable(initInfo.isAbbyyInterfaceAvailable);

		//Выбран ли режим сканирования без предложения настроек
		self.isNativeSilentModeAvailable = ko.observable(initInfo.isNativeSilentModeAvailable);
	}

})(ko, window.batchtypeSettings.datacontext);