﻿var ScrollablePanel = function (containerId, contentId) {
	var self = this;
	self.visibleHeight = ko.observable(0);
	self.totalHeight = ko.observable(0);
	self.offsetY = ko.observable(0);

	self.verticalSlider = new FC.ScrollBarNew(FC.ScrollBarNew.Orientation.Vertical,
		self.visibleHeight,
		self.offsetY,
		self.visibleHeight,
		self.totalHeight);

	self.updateHeights = function (afterUpdate) {
		setTimeout(function () {
			var visibleHeight = $('.batchtype__panelFrame').height();
			visibleHeight -= $('.batchtype__panel__header').outerHeight();
			visibleHeight -= $('.batchtype__panel__controls').outerHeight();
			visibleHeight -= $('.batchtype__selection').outerHeight();
			visibleHeight -= $('.batchtype__generalinfo').outerHeight();
			visibleHeight -= $('.batchtype-settings-navigation').outerHeight();
			self.visibleHeight(visibleHeight);
			self.totalHeight($(contentId).outerHeight());
			if ($.isFunction(afterUpdate)) {
				afterUpdate();
			}
			},
			10);
	}

	self.scrollCss = ko.computed(function () {
		return {
			transform: 'translate(0px, -' + self.offsetY() + 'px)'
		}
	});

	$(window).resize(self.updateHeights);
	
}