﻿FC.BusinessModels.DocumentEditor.BooleanField = function(initInfo, manipulators) {
	FC.BusinessModels.DocumentEditor.SimpleField.apply(this, arguments);


	initInfo = initInfo || {};

	FC.BusinessModels.DocumentEditor.FieldErrorExtend(manipulators, this);

	this.value = ko.observable(initInfo.Value || false);
};

FC.BusinessModels.DocumentEditor.BooleanField.prototype = Object.create(FC.BusinessModels.DocumentEditor.SimpleField.prototype);

FC.BusinessModels.DocumentEditor.BooleanField.prototype.constructor = FC.BusinessModels.DocumentEditor.BooleanField;

/**
 * Получение JS Объекта 
 * @param {} fullSerialize  true - для всех свойств класса,  false для свойств класса необходимых при CHeck Rules и Apply Changes
 * @returns {} 
 */
FC.BusinessModels.DocumentEditor.BooleanField.prototype.toJs = function (fullSerialize) {
	var simpleJs = this.simpleJs(fullSerialize);
	simpleJs.Value = this.value();
	return simpleJs;
};

FC.BusinessModels.DocumentEditor.BooleanField.prototype.dispose = function () {
	this.fieldErrors.dispose();
};

FC.BusinessModels.DocumentEditor.BooleanField.prototype.updateInfo = function(newInfo) {
	this.value(newInfo.Value || false);
	this.isVerified(newInfo.IsVerified || false);
	this.needRecognize(newInfo.NeedRecognize);
	this.isReadOnly(newInfo.IsReadOnly || false);
};