﻿FC.BusinessModels.DocumentEditor.DatabaseCheckRule = function (initInfo) {

	this.dataSourceName = initInfo.DataSourceName;
	this.ruleName = initInfo.RuleName;
	this.path = initInfo.Path;
	this.isError = initInfo.IsError;
	this.isEnabled = initInfo.IsEnabled;
	this.showRuleNameInErrorMessage = initInfo.ShowRuleNameInErrorMessage;
	this.ignoreIfAllFieldsEmpty = initInfo.IgnoreIfAllFieldsEmpty;
	this.applyCondition = initInfo.ApplyCondition
		? new FC.BusinessModels.DocumentEditor.DatabaseCheckRuleApplyCondition(initInfo.ApplyCondition)
		: null;

	this.fieldsInfo = $.map(initInfo.FieldsInfo, function(field) {
		return new FC.BusinessModels.DocumentEditor.DatabaseCheckRuleField(field);
	});
}