﻿/**
 * Описание документа, используемое на странице DocumentsPage
 */
FC.BusinessModels.DocumentProperties = function documentProperties(doc) {
	var self = this;

	self.Id = ko.observable(doc.Id);	
	self.TaskId = ko.observable(doc.TaskId);
	self.HasTask = ko.observable(doc.HasTask);
	self.CanOpenTask = ko.observable(doc.CanOpenTask);
	self.Priority = ko.observable(doc.Priority);
	self.ExternalStageId = ko.observable(doc.ExternalStageId);
	self.StageName = ko.observable(doc.StageName);
	self.PageCount = ko.observable(doc.PageCount);
	self.HasAttachments = ko.observable(doc.HasAttachments);
	self.HasAttachmentsImageUrl = ko.observable(doc.HasAttachmentsImageUrl);
	self.Index = ko.observable(doc.Index);
	self.OpenIdString = ko.observable(doc.OpenIdString);
	self.PriorityIconUrl = ko.observable(doc.PriorityIconUrl);
	self.PriorityIconVisible = ko.observable(doc.PriorityIconVisible);
	self.HasErrors = ko.observable(doc.HasErrors);
	self.Characters = ko.observable(doc.Characters);
	self.UncertainCharacters = ko.observable(doc.UncertainCharacters);
	self.CharactersForVerification = ko.observable(doc.CharactersForVerification);

	self.Pages = ko.observableArray([]);
	if (doc.Pages) {
		self.Pages(ko.utils.arrayMap(doc.Pages, function (item) { return item; }));
	}
};