﻿/**
 * Информация о шаблоне документа
 * (на сервере двоякая терминология, Template и DocumentDefinition)
 */
FC.BusinessModels.DocumentTemplateInfo = function documentTemplateInfo(templateInfo) {
	var self = this;

	if (!templateInfo) {
		throw new Error("no template");
	}

	self.Id = ko.observable(templateInfo.Id);

	self.Name = ko.observable(templateInfo.Name);

	self.Version = ko.observable(templateInfo.Version);

	self.IsDisabled = ko.observable(templateInfo.IsDisabled);

	self.SectionNames = ko.observableArray(templateInfo.SectionNames);
}