﻿FC.Utils.RefreshSession = function (serverDataContext) {
	var userIsActive = Date.now() - FC.UI.lastActivity <= FC.Environment.SessionRefreshInterval;
	FC.Utils.neverUpdated = false;

	serverDataContext.refreshSession(userIsActive,
		function() {
			if (FC.Utils.RefreshTimeout) {
				clearTimeout(FC.Utils.RefreshTimeout);
			}

			FC.Utils.RefreshTimeout = setTimeout(function () {
				FC.Utils.RefreshSession(serverDataContext);
			}, FC.Environment.SessionRefreshInterval);
		});	

	if (FC.Utils.RefreshTimeout) {
		clearTimeout(FC.Utils.RefreshTimeout);
	}

	FC.Utils.RefreshTimeout = setTimeout(function () {
		FC.Utils.RefreshSession(serverDataContext);
	}, FC.Environment.SessionRefreshInterval);
};



FC.Utils.UpdateLastActivity = function (serverDataContext) {
	var now = Date.now();
	var refreshImmediately = now - FC.UI.lastActivity > FC.Environment.SessionRefreshInterval;

	FC.UI.lastActivity = now;

	if (refreshImmediately || FC.Utils.neverUpdated) {
		FC.Utils.RefreshSession(serverDataContext);
	}
};

FC.Utils.neverUpdated = true;