﻿FC.Viewmodels.ActionZones.BorderMiddleLeftZone = function borderMiddleLeftZone(rectangles, target, page, depth) {
	if (!rectangles) {
		throw "no rectangle";
	}

	var zoneRect = ko.pureComputed(function () {
		var newRects = [];
		var rects = ko.utils.unwrapObservable(rectangles);

		for (var i = 0; i < rects.length; i++) {
			newRects.push(new FC.Viewmodels.ImageEditor.Rectangle(
			{
				x1: rects[i].x1() + (FC.Viewmodels.ActionZones.zoneConstants.borderZonesPadInside - FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize) / page.zoom(),
				y1: (rects[i].y2() + rects[i].y1() - FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize / page.zoom()) / 2,
				x2: rects[i].x1() + FC.Viewmodels.ActionZones.zoneConstants.borderZonesPadInside / page.zoom(),
				y2: (rects[i].y2() + rects[i].y1() + FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize / page.zoom()) / 2
			}));
		}

		return newRects;
	});

	FC.Viewmodels.ActionZones.BorderMiddleZoneBase.call(this, zoneRect, target, rectangles, page, depth, false);

	this.cursorStyle(FC.Viewmodels.ActionZones.cursorTypes.westResize);
};

FC.Viewmodels.ActionZones.BorderMiddleLeftZone.prototype = Object.create(FC.Viewmodels.ActionZones.BorderMiddleZoneBase.prototype);

FC.Viewmodels.ActionZones.BorderMiddleLeftZone.prototype.mouseMove = function (zone, point) {
	var deltaX = point.x - zone.startPoint.x;
	zone.mouseMoveBase(zone, point, { x1: deltaX, y1: 0, x2: 0, y2: 0 });
};