﻿FC.Viewmodels.ActionZones = FC.Viewmodels.ActionZones || {};

FC.Viewmodels.ActionZones.cursorTypes = {
	crosshair: "url(" + FC.Environment.AppPathNoTennant + "content/images/crosshair.cur), auto",
	pointer: "pointer",
	move: "move",
	southWestResize: "sw-resize",
	southResize: "s-resize",
	southEastResize: "se-resize",
	northWestResize: "nw-resize",
	northResize: "n-resize",
	northEastResize: "ne-resize",
	eastResize: "e-resize",
	eastWestResize: "ew-resize",
	westResize: "w-resize",
	northSouthResize: "ns-resize",
	northEastSouthWest: "nesw-resize",
	northWestSouthEast: "nwse-resize",
	moveHorizontalSeparator: "row-resize",
	moveVerticalSeparator: "col-resize",
	deleteSeparator: "url(" + FC.Environment.AppPathNoTennant + "content/images/eraser_cursor.cur), auto",
	createHorizontalSeparator: "url(" + FC.Environment.AppPathNoTennant + "content/images/horizontalSeparator_cursor.cur), auto",
	createVerticalSeparator: "url(" + FC.Environment.AppPathNoTennant + "content/images/verticalSeparator_cursor.cur), auto",
	separatorCreationForbidden: "url(" + FC.Environment.AppPathNoTennant + "content/images/separatorDisable.cur), auto",
	modifyRegion: "url(" + FC.Environment.AppPathNoTennant + "content/images/crosshair_add.cur), auto",
	selectText: "default",
	modifyText: "copy"
};

// предварительная загрузка курсоров, чтобы не тормозило при работе
(function () {
	$.get(FC.Environment.AppPathNoTennant + "content/images/eraser_cursor.cur", function () { });
	$.get(FC.Environment.AppPathNoTennant + "content/images/horizontalSeparator_cursor.cur", function () { });
	$.get(FC.Environment.AppPathNoTennant + "content/images/verticalSeparator_cursor.cur", function () { });
	$.get(FC.Environment.AppPathNoTennant + "content/images/separatorDisable.cur", function () { });
	$.get(FC.Environment.AppPathNoTennant + "content/images/crosshair_add.cur", function () { });
})();
