﻿FC.Viewmodels.ActionZones.DeleteTableZone = function deleteTableZone(rectangles, target, page, depth) {
	var zoneRect = ko.pureComputed(function () {
		var rects = ko.utils.unwrapObservable(rectangles);
		var top = 100000;
		var right = 0;

		for (var i = 0; i < rects.length; i++) {
			if (right <= rects[i].x2()) {
				right = rects[i].x2();
			}

			if (top >= rects[i].y1()) {
				top = rects[i].y1();
			}
		}

		top = top - FC.Viewmodels.ActionZones.zoneConstants.columnHeaderHeight / page.zoom();

		return [new FC.Viewmodels.ImageEditor.Rectangle(
			{
				x1: right,
				y1: top - 20 / page.zoom(),
				x2: right + 20 / page.zoom(),
				y2: top
			})];
	});

	FC.Viewmodels.ActionZones.BaseZone.call(this, zoneRect, target, page, FC.Viewmodels.ActionZones.zoneActivationType.selected);

	this.depth(depth + 110);
	this.cursorStyle(FC.Viewmodels.ActionZones.cursorTypes.pointer);
};

FC.Viewmodels.ActionZones.DeleteTableZone.prototype = Object.create(FC.Viewmodels.ActionZones.DeleteZone.prototype);