﻿FC.Viewmodels.ActionZones.GroupCellBodyZone = function cellBodyZone(rectangles, target, page, depth, parentRegion) {
	FC.Viewmodels.ActionZones.RegionBodyZone.call(this, rectangles, target, page, depth);

	this.parentRegion = parentRegion;

	this.depth = ko.computed(function () {
		var docEditor = window.batchLayout.batchLayoutViewModel.DocumentEditor();
		if (docEditor.extender.horizontalSeparatorDrawActivated() ||
			docEditor.extender.verticalSeparatorDrawActivated()) {
			return -1;
		} else {
			return depth;
		}
	});

	this.page.subscriptions.push({
		key: this.target,
		value: this.depth
	});
	this.page.subscriptions.push({
		key: this.target,
		value: this.target.selected.subscribe(
			function(isSelected) {
				if (isSelected) {
					page.selectRegion(target.parentRegion, false);
				}
			})
	});
};

FC.Viewmodels.ActionZones.GroupCellBodyZone.prototype = Object.create(FC.Viewmodels.ActionZones.RegionBodyZone.prototype);
