﻿var FC = FC || {};
FC.Viewmodels = FC.Viewmodels || {};
FC.Viewmodels.ImageEditor = FC.Viewmodels.ImageEditor || {};

FC.Viewmodels.ImageEditor.CanvasDrawer = function (layers) {

	this.layers = layers;

	this.getLayer = function(layerIndex) {
		if (this.layers &&
			this.layers.hasOwnProperty("length") &&
			layerIndex >= 0 &&
			layerIndex < this.layers.length) {

			return this.layers[layerIndex];
		}

		return null;
	};

	this.clear = function() {
		for (var i = 0; i < this.layers.length; i++) {
			this.layers[i].clear();
		}
	};
};