﻿var FC = FC || {};
FC.Viewmodels = FC.Viewmodels || {};
FC.Viewmodels.ImageEditor = FC.Viewmodels.ImageEditor || {};

FC.Viewmodels.ImageEditor.Rectangle = function (coords) {
	this.x1 = ko.observable(0);
	this.y1 = ko.observable(0);
	this.x2 = ko.observable(0);
	this.y2 = ko.observable(0);

	if (coords) {
		this.x1(coords.x1);
		this.x2(coords.x2);
		this.y1(coords.y1);
		this.y2(coords.y2);
	}
};

FC.Viewmodels.ImageEditor.Rectangle.getRectangleFromPoints = function (point1, point2) {
	return new FC.Viewmodels.ImageEditor.Rectangle({
		x1: Math.floor(Math.min(point1.x, point2.x)),
		x2: Math.ceil(Math.max(point1.x, point2.x)),
		y1: Math.floor(Math.min(point1.y, point2.y)),
		y2: Math.ceil(Math.max(point1.y, point2.y))
	});
};