﻿window.batchApp = window.batchApp || {};

window.batchApp.datacontext = (function (ko) {
	function getPageUrl(pageInfo, loadInColor) {
		var pageData = pageInfo;

		if (!pageInfo.hasOwnProperty('parentDocumentId')) {
			pageData = {
				parentDocumentId: ko.utils.unwrapObservable(pageInfo.ParentDocumentId),
				id: ko.utils.unwrapObservable(pageInfo.Id),
				version: ko.utils.unwrapObservable(pageInfo.Version),
				rotation: ko.utils.unwrapObservable(pageInfo.Rotation),
				hasColorImage: ko.utils.unwrapObservable(pageInfo.HasColorImage)
			}
		}

		if (typeof loadInColor === "undefined") {
			loadInColor = FC.BatchEditor.batchEditorDataContext.ImageLoadMode() && pageData.hasColorImage;
		}

		return FC.Utils.getControllerUrl("DocumentPage/GetImage?"
			+ "projectId=" + window.Layouts.ModelLoader.viewModel().projectId()
			+ "&batchId=" + FC.BatchEditor.batchEditorDataContext.batchId()
			+ "&documentId=" + pageData.parentDocumentId + "&pageId=" + pageData.id +
			"&pageVersion=" + pageData.version + "&angle=" + pageData.rotation + "&loadInColor=" + loadInColor +
			"&sessionId=" + FC.SessionInfo.SessionId);
	};

	function getDocuments(documentsObservable) {

	};

	return {
		getPageUrl: getPageUrl,
		getDocuments: getDocuments
	};
})(ko);