﻿(function (ko, datacontext) {
	/**
	* Страница документа из редактора пакета
	*/
	datacontext.TaskPage = function (page) {
		var self = this;
		self._id = page.Id;
		self.Id = ko.observable(page.Id);
		self.Version = ko.observable(page.Version || 0);
		self.Name = ko.observable(page.Name);
		self.SectionName = ko.observable(page.SectionName);
		self.ParentDocumentId = page.ParentDocumentId;
		self.Width = ko.observable(page.Width);
		self.Height = ko.observable(page.Height);
	};

	/**
	* Скопировать значения из другой страницы
	* @param page Другая страница
	* */
	datacontext.TaskPage.prototype.copyFrom = function (page) {
		this.Version(page.Version() || 0);
		this.Name(page.Name());
		this.SectionName(page.SectionName());
		this.ParentDocumentId = page.ParentDocumentId;
		this.Width(page.Width());
		this.Height(page.Height());
	};

})(ko, batchApp.datacontext);
