﻿(function (ko, datacontext) {
    datacontext.ScannerOptions = ScannerOptions;
    datacontext.ScannerProfile = ScannerProfile;

	function ScannerOptions(initInfo) {
	    var self = this;
	    self.index = ko.observable(initInfo.index);
	    self.scannerId = ko.observable(initInfo.scannerId);
	    self.isInitialized = ko.observable(initInfo.isInitialized);
		self.scannerName = ko.observable(initInfo.Name);
		self.isNativeInterfaceAvailable = ko.observable(initInfo.isNativeInterfaceAvailable);
		self.isAbbyyInterfaceAvailable = ko.observable(initInfo.isAbbyyInterfaceAvailable);
		self.isNativeSilentModeAvailable = ko.observable(initInfo.isNativeSilentModeAvailable);
	}

	function ScannerProfile() {
	    var self = this;
	    self.scannerIndex = ko.observable(0);
	    self.selectedInterface = ko.observable('native');
	    self.showWindowBeforeScan = ko.observable(false);
	}


})(ko, scannerOptions.datacontext);