﻿/**
 * ViewModel вкладки описания типа пакета
 * @param {} datacontext ОБект работы с данными
  */
var BatchTypeDescrViewModel = function (datacontext) {
    var self = this;

    self.datacontext = datacontext;

    //Название типа пакета
    self.batchTypeName = ko.observable("");

    //Описание типа пакета
    self.batchTypeDescription = ko.observable("");

    //Обновление данных из плагина
    self.updateInfo = function (batchType) {
        self.datacontext.getBatchTypeName(batchType, self.batchTypeName);
        self.datacontext.getBatchTypeDescription(batchType, self.batchTypeDescription);
    };
    

    return self;
}