﻿window.Layouts = window.Layouts || {};

/**
 * Модель отображения диалогового сообщения
 * @returns {} 
 */
window.Layouts.MessageViewModel = (function() {
	var self = FC.DialogBase(null, null, FC.Environment.AppPathNoTennant + 'WebCommon/Styles/Images/icons128_problem.png', true, true, false, false);

	/**
	 * Текст ошибки
	 */
	self.error = ko.observable("");

	/**
	 * Отобразить диалог
	 * @param {} err Описание ошибки
	 * @returns {} 
	 */
	self.showError = function (err) {
		self.error(err);
		self.show();
	};

	return self;
})();

$(document).ready(function () {
	ko.applyBindings(window.Layouts.MessageViewModel, document.getElementById("messageDialog"));
});