﻿
/**
 * Дефолтные языковые настройки для плагина DataTables.js
 */
FC.Utils.getDataTableDefaults = function () {
    return {
        scrollX: true,
        autoWidth: false,
        dom: '<"dataTable--toolbar_wrapper"'
            + '<"half_margin_left toolbar">'
            + '<"pull_right"p><"pull_right basic_margin_right"l>>Ztp',

        //если select  не нужен, то при создании таблицы в её настройках переопределяем select: false
        select: { style: 'api' },
        language: {
            "processing": FC.Environment.Localization.DataTable.DT_PROCESSING,
            "search": FC.Environment.Localization.DataTable.DT_SEARCH,
            "lengthMenu": FC.Environment.Localization.DataTable.DT_LENGTH_MENU,
            "info": FC.Environment.Localization.DataTable.DT_INFO,
            "infoEmpty": FC.Environment.Localization.DataTable.DT_INFO_EMPTY,
            "infoFiltered": FC.Environment.Localization.DataTable.DT_INFO_FILTERED,
            "infoPostFix": "",
            "loadingRecords": FC.Environment.Localization.DataTable.DT_LOADING_RECORDS,
            "zeroRecords": FC.Environment.Localization.DataTable.DT_ZERO_RECORDS,
            "emptyTable": FC.Environment.Localization.DataTable.DT_EMPTY_TABLE,
            "paginate": {
                "first": FC.Environment.Localization.DataTable.DT_PAGINATE_FIRST,
                "previous": "", //FC.Environment.Localization.Resource.DT_PAGINATE_PREVIOUS,
                "next": "", //FC.Environment.Localization.Resource.DT_PAGINATE_NEXT,
                "last": FC.Environment.Localization.DataTable.DT_PAGINATE_LAST
            },
            "aria": {
                "sortAscending": "",
                "sortDescending": ""
            },
            select: {
                rows: {
                    _: FC.Environment.Localization.DataTable.DT_SELECTED,
                    0: "",
                }
            }
        }
    };
};


FC.Utils.setDataTablesDefaultsSettings = function () {
    $.extend(true, $.fn.dataTable.defaults, FC.Utils.getDataTableDefaults());

    $.extend(true, $.fn.dataTable.ColResize.defaults, {
        tableWidthFixed: false
    });

    $.extend(true, $.fn.dataTable.ColReorder.defaults, {
        realtime: true
    });
}
