﻿///<reference path="vsdoc.js"/>
(function (ko) {
	ko.templateSources.razorTemplate = function (template) {
		this.template = template;
	};

	ko.templateSources.razorTemplate.prototype['text'] = function (/* valueToWrite */) {
		if (arguments.length == 0) {
			return this.template.text;
		} else {
			this.template.text = arguments[0];
		}
	};

	ko.templateSources.razorTemplate.prototype['data'] = function (key /*, valueToWrite */) {
		if (arguments.length === 1) {
			return this.template.data[key];
		} else {
			this.template.data[key] = arguments[1];
		}
	};

	function overrideMakeTemplateSource(templateEngine) {
		var orig_getTemplateNode = templateEngine['makeTemplateSource'];
		templateEngine['makeTemplateSource'] = function (templateId) {
			if (typeof templateId == "string") {
				var template = FC.Environment.Templates[templateId];
				if (template) {
					return new ko.templateSources.razorTemplate(template);
				}
			}
			return orig_getTemplateNode.call(this, templateId);
		};

		return templateEngine;
	};

	//ko.jqueryTmplTemplateEngine.instance = overrideMakeTemplateSource(new ko.jqueryTmplTemplateEngine());
	ko.setTemplateEngine(overrideMakeTemplateSource(new ko.nativeTemplateEngine()));

})(ko);
