﻿/**
 * Ошибка сборки
 */
FC.BusinessModels.DocumentEditor.AssemblingError = function(assemblingError) {
	
	this.documentNodeRef = ko.observableArray(assemblingError.DocumentNodeRef);

	this.type = ko.observable(assemblingError.Type);
	
	this.description = ko.observable(assemblingError.Description);

	this.weight = ko.observable(assemblingError.Weight);

	this.position = ko.observable(assemblingError.Position);

	this.sectionName = ko.observable(assemblingError.SectionName);
	
};



FC.BusinessModels.DocumentEditor.AssemblingError.prototype.toJs = function() {
	return {
		DocumentNodeRef: this.documentNodeRef(),
		Type: this.type(),
		Description: this.description(),
		Weight: this.weight(),
		Position: this.position(),
		SectionName: this.sectionName()
	};
}

