﻿/**
 * Параграф текста на определенной странице
 * @param {} initInfo 
 * @returns {} 
 */
FC.BusinessModels.DocumentEditor.Paragraph = function (initInfo) {

	/**
	 * Координаты текста
	 */
	this.coordinates = ko.observableArray([]);

	/**
	 * Ид страницы
	 */
	this.pageId = ko.observable(initInfo.PageId);

	if (initInfo.Coordinates) {
		this.coordinates($.map(initInfo.Coordinates,
			function (value) {
				return new FC.BusinessModels.DocumentEditor.Coordinates(value);
			}));
	}	
};

