﻿FC.BusinessModels.DocumentEditor.SimpleField = function (initInfo, manipulators) {
	initInfo = initInfo || {};

	FC.BusinessModels.DocumentEditor.BasicField.apply(this, arguments);
	
	this.isSummary = ko.observable(initInfo.IsSummary || false);
	this.needVerification = ko.observable(initInfo.NeedVerification || false);
	this.needDoubleVerification = ko.observable(initInfo.NeedDoubleVerification || false);
	this.isVerified = ko.observable(initInfo.IsVerified || false);

	this.localizationKey = ko.observable(initInfo.IsVerified || '');
}

FC.BusinessModels.DocumentEditor.SimpleField.prototype = Object.create(FC.BusinessModels.DocumentEditor.BasicField.prototype);

FC.BusinessModels.DocumentEditor.SimpleField.prototype.constructor = FC.BusinessModels.DocumentEditor.SimpleField;

/**
 * Получение JS Объекта 
 * @param {} fullSerialize  true - для всех свойств класса,  false для свойств класса необходимых при CHeck Rules и Apply Changes
 * @returns {} 
 */
FC.BusinessModels.DocumentEditor.SimpleField.prototype.simpleJs = function (fullSerialize) {
	var basicJs = this.basicJs(fullSerialize);
	basicJs.IsVerified = this.isVerified();
	if (fullSerialize) {
		basicJs.NeedVerification = this.needVerification();
		basicJs.NeedDoubleVerification = this.needDoubleVerification();
		basicJs.IsSummary = this.isSummary();
	}
	return basicJs;
}

