﻿FC.DataContext = FC.DataContext || {};

FC.DataContext.Invoice = (function () {
	return {
		getInvoceStatusSettings: function(templateId, templateVersion, onSuccess, onFailure) {
			$.ajax({
				url: FC.Utils.getControllerUrl("Invoice/GetInvoiceStatusSettings"),
				data: {
					projectId: FC.SessionInfo.ProjectID,
					templateId: templateId,
					templateVersion: templateVersion
				},
				type: "GET",
				dataType: "json",
				xhrFields: {
					withCredentials: true
				},
				beforeSend: FC.Utils.beforeAjaxSend,
				success: function (data) {
					if (onSuccess) {
						onSuccess(data.Result);
					}
				},
				error: function (jqXhr, textStatus, errorThrown) {
					if (onFailure) {
						onFailure(errorThrown);
					}
				}
			});
		}
	};
})();