﻿FC.Pages.BasePageModel = function (serverDataContext) {
	this.isVisible = ko.observable(false);

	this.OnPageOpening = function () {
	}

	this.PageFailed = false;

	(function subscribeCloseSessionOnUnload() {
		// https://developers.google.com/web/updates/2018/07/page-lifecycle-api#legacy-lifecycle-apis-to-avoid
		const eventDispatcher = window;
		const terminationEventName = 'onpagehide' in eventDispatcher ? 'pagehide' : 'unload';
		eventDispatcher.addEventListener(terminationEventName, function() {
			serverDataContext.closeSessionOnUnload();
		});
	})();
};