﻿FC.Utils.ScrollToChild = function (parentId, childId, dontRecalculateParent, offset) {
	if (!parentId || !childId) {
		return;
	}

	if (!offset) {
		offset = 0;
	}

	var parent = document.getElementById(parentId);
	var child = document.getElementById(childId);

	if (!parent || !child) {
		return;
	}

	var childOffsetTop = 0;

	if (dontRecalculateParent) {
		childOffsetTop = child.offsetTop;
	} else {
		do {
			childOffsetTop += child.offsetTop;
			child = child.offsetParent;
		} while (child && (child.id !== parentId))
	}

	childOffsetTop -= offset;

	if (parent.scrollTop < childOffsetTop &&
		(parent.scrollTop + parent.clientHeight > childOffsetTop + child.clientHeight)) {
		// если видно - не надо скроллить
		return;
	}

	parent.scrollTop = childOffsetTop;
};