﻿FC.Viewmodels.ActionZones.BorderBottomMiddleZone = function borderBottomMiddleZone(rectangles, target, page, depth) {
	if (!rectangles) {
		throw "no rectangle";
	}

	var zoneRect = ko.pureComputed(function () {
		var newRects = [];
		var rects = ko.utils.unwrapObservable(rectangles);

		for (var i = 0; i < rects.length; i++) {
			newRects.push(new FC.Viewmodels.ImageEditor.Rectangle(
			{
				x1: (rects[i].x2() + rects[i].x1() - FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize / page.zoom()) / 2,
				y1: rects[i].y2() - FC.Viewmodels.ActionZones.zoneConstants.borderZonesPadInside / page.zoom(),
				x2: (rects[i].x2() + rects[i].x1() + FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize / page.zoom()) / 2,
				y2: rects[i].y2() - (FC.Viewmodels.ActionZones.zoneConstants.borderZonesPadInside - FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize) / page.zoom()
			}));
		}

		return newRects;
	});
	
	FC.Viewmodels.ActionZones.BorderMiddleZoneBase.call(this, zoneRect, target, rectangles, page, depth, true);

	this.cursorStyle(FC.Viewmodels.ActionZones.cursorTypes.southResize);
};

FC.Viewmodels.ActionZones.BorderBottomMiddleZone.prototype = Object.create(FC.Viewmodels.ActionZones.BorderMiddleZoneBase.prototype);

FC.Viewmodels.ActionZones.BorderBottomMiddleZone.prototype.mouseMove = function (zone, point) {
	var deltaY = point.y - zone.startPoint.y;

	zone.mouseMoveBase(zone, point, { x1: 0, y1: 0, x2: 0, y2: deltaY });
};