﻿FC.Viewmodels.ActionZones.BorderMiddleZoneBase = function borderMiddleZoneBase(zoneRect, target, rectangles, page, depth, isHorizontal) {
	FC.Viewmodels.ActionZones.BorderZoneBase.call(this, zoneRect, target, rectangles, page, depth);

	var middleShownConstant = 5;

	this.isActive = ko.pureComputed(function () {
		var defaultActive = target.selected() && page.editorActive();
		if (!defaultActive) {
			return false;
		}

		var zoom = page.zoom();
		var rects = ko.utils.unwrapObservable(rectangles);
		for (var i = 0; i < rects.length; i++) {
			if (isHorizontal &&
				(rects[i].x2() - rects[i].x1()) * zoom <
				FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize * middleShownConstant) {
				return false;
			} 

			if (!isHorizontal &&
				(rects[i].y2() - rects[i].y1()) * zoom <
				FC.Viewmodels.ActionZones.zoneConstants.borderZoneSize * middleShownConstant) {
				return false;
			}
		}
		return true;
	}, this);
};

FC.Viewmodels.ActionZones.BorderMiddleZoneBase.prototype = Object.create(FC.Viewmodels.ActionZones.BorderZoneBase.prototype);