﻿var FC = FC || {};
FC.Viewmodels = FC.Viewmodels || {};
FC.Viewmodels.DocumentEditor = FC.Viewmodels.DocumentEditor || {};

FC.Viewmodels.DocumentEditor.CellRegionViewModel = function (region, parentRegion, page, depth) {
	FC.Viewmodels.DocumentEditor.RegionViewModel.call(this, region, parentRegion, page, depth);
};

FC.Viewmodels.DocumentEditor.CellRegionViewModel.prototype = Object.create(FC.Viewmodels.DocumentEditor.RegionViewModel.prototype);

FC.Viewmodels.DocumentEditor.CellRegionViewModel.prototype.createZones = function () {
	if (!this.isVisible()) {
		return [];
	}

	var zones = [];
	zones.push(new FC.Viewmodels.ActionZones.CellBodyZone(this.rectangles, this, this.page, this.depth, this.parentRegion));
	return zones;
};


FC.Viewmodels.DocumentEditor.CellRegionViewModel.prototype.onCellChange = function () {
	this.updateTextBase();

	this.model.status(1);
	this.field().needRecognize(true);
};