﻿FC.Viewmodels.DocumentEditor = FC.Viewmodels.DocumentEditor || {};
/**
 * Класс, предоставляющий параметры (индексы Dom-узлов и индекс символа)
 * для вычисление положения каретки внутри текстового поля
 * 
 * @parentIndex <int> - индекс родительского узла для узла, в отором стоит каретка
						если = -1, то каретка стоит в начале самого  элемента (текстового поля)
						если > -1, то каретка стоит внтури вложенного спана с указанным индексом
 * @nodeIndex <int> - индекс узла, внутри которого стоит каретка
 * @charIndex <int> - символ, после которого стоит каретка
*/
FC.Viewmodels.DocumentEditor.CaretParameters = function (parentIndex, nodeIndex, charIndex) {
	var self = this;

	self.parentIndex = parentIndex;
	self.nodeIndex = nodeIndex;
	self.charIndex = charIndex;
};