﻿FC.Viewmodels.DocumentEditor = FC.Viewmodels.DocumentEditor || {};
FC.Viewmodels.DocumentEditor.ColumnSelectorViewmodel = function (id, name, hideableColumns) {
	var self = this;
	self.id = id;
	self.name = name;
	self.hideableColumns = hideableColumns;

	self.selected = ko.computed({
		read: function () {
			return self.hideableColumns().indexOf(self.id) < 0;
		},
		write: function (val) {
			if (val) {
				self.hideableColumns.splice(self.hideableColumns().indexOf(self.id), 1);
			} else {
				self.hideableColumns.push(self.id);

			}
		}
	});
}