﻿FC.Viewmodels.DocumentEditor = FC.Viewmodels.DocumentEditor || {};
/**
* Класс для хранения состояния текстового поля для операций Undo/Redo
* 
* @text <string> - исходный текст 
* @flags <string> - исходные флаги 
* @isVerified <boolean> - верифицированно ли поле изначально
* @caretPosition <int> - положение каретки	
*/
FC.Viewmodels.DocumentEditor.TextFieldUndoSnapshot = function (text, flags, isVerified, caretPosition) {
	var self = this;

	self.text = text || "";
	self.flags = flags || "";
	self.isVerified = !!isVerified;

	self.caretPosition = caretPosition || 0;
};